Page MenuHomePhabricator

Alien nodes trigger the table linear context
Closed, ResolvedPublic1 Estimated Story Points

Event Timeline

Esanders created this task.Jun 6 2017, 3:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2017, 3:01 PM
Deskana added a subscriber: Deskana.Jun 6 2017, 3:05 PM

@Esanders What's an alien node? Can you link to an example, too? It's hard for me to judge severity. Thanks!

cscott added a subscriber: cscott.Jun 6 2017, 3:09 PM

Alien nodes are constructs which VE doesn't natively support. I believe unclean templates and unsupported extensions are the most common.

Esanders triaged this task as Low priority.EditedJun 6 2017, 3:17 PM

Yes - they aren't very common in VE+MediaWiki now we support most things, but this should be a simple fix. Back in the old days anything we hadn't written an edit interface for was "alienated", so images, templates etc.

Change 357400 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Fix mixing in of TableCellableNode to AlienTableCellNode

https://gerrit.wikimedia.org/r/357400

The context for the table-cell alien nodes fix was T144122

Change 357400 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Fix mixing in of TableCellableNode to AlienTableCellNode

https://gerrit.wikimedia.org/r/357400

Change 357405 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (f4b755c4c)

https://gerrit.wikimedia.org/r/357405

Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.Jun 6 2017, 7:06 PM
Deskana set the point value for this task to 1.
Deskana assigned this task to Esanders.Jun 7 2017, 1:46 PM

Change 357405 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (aec7813fb)

https://gerrit.wikimedia.org/r/357405

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 24 2017, 5:09 PM